#include "stdafx.h"
#include "BoundingBox.h"

BoundingBox::BoundingBox()
{
}

BoundingBox::BoundingBox(Vector3f min, Vector3f max)
{
	this->min = min;
	this->max = max;
}

Vector3f BoundingBox::Size()
{
	return max-min;
}

Vector3f BoundingBox::Center()
{
	return min + (max - min) * 0.5f;
}

bool BoundingBox::Intersects(const BoundingBox &other) const
{
	return (other.min < max && other.max > min);
}
